Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class ConnectableLifecycleManager<O>

    java.lang.Object
      org.mule.lifecycle.AbstractLifecycleManager<O>
          org.mule.lifecycle.SimpleLifecycleManager<O>
              org.mule.transport.ConnectableLifecycleManager<O>

All Implemented Interfaces:
  LifecycleManager

    public class ConnectableLifecycleManager<O>

extends SimpleLifecycleManager<O>

TODO

Field Summary

Fields inherited from class org.mule.lifecycle.AbstractLifecycleManager
`completedPhases, currentPhase, executingPhase, lifecycleManagerId, logger, object, phaseNames, state`

Fields inherited from interface org.mule.api.lifecycle.LifecycleManager
`NOT_IN_LIFECYCLE_PHASE`

Constructor Summary
`ConnectableLifecycleManager(String id, O object)`

Method Summary
`void` | `fireDisposePhase(LifecycleCallback<O> callback)`
`void` | `fireInitialisePhase(LifecycleCallback<O> callback)`
`void` | `fireStartPhase(LifecycleCallback<O> callback)`
`void` | `fireStopPhase(LifecycleCallback<O> callback)`

Methods inherited from class org.mule.lifecycle.SimpleLifecycleManager
`fireLifecycle, registerTransitions`

Methods inherited from class org.mule.lifecycle.AbstractLifecycleManager
`addDirectTransition, checkPhase, createLifecycleState, getCurrentPhase, getExecutingPhase, getLifecycleObject, getState, invokePhase, isDirectTransition, isDirectTransition, isPhaseComplete, notifyTransition, registerLifecycleCallback, reset, setCurrentPhase, setExecutingPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectableLifecycleManager

    public ConnectableLifecycleManager(String id,
                                       O object)

Method Detail

### fireInitialisePhase

    public void fireInitialisePhase(LifecycleCallback<O> callback)
                             throws MuleException

  Specified by:
    `fireInitialisePhase` in class `SimpleLifecycleManager<O>`
  Throws:
    `MuleException`

### fireStartPhase

    public void fireStartPhase(LifecycleCallback<O> callback)
                        throws MuleException

  Specified by:
    `fireStartPhase` in class `SimpleLifecycleManager<O>`
  Throws:
    `MuleException`

### fireStopPhase

    public void fireStopPhase(LifecycleCallback<O> callback)
                       throws MuleException

  Specified by:
    `fireStopPhase` in class `SimpleLifecycleManager<O>`
  Throws:
    `MuleException`

### fireDisposePhase

    public void fireDisposePhase(LifecycleCallback<O> callback)
                          throws MuleException

  Specified by:
    `fireDisposePhase` in class `SimpleLifecycleManager<O>`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.